










                          NPRINT (tm) Version 2.3
                          Copyright (c) 1990-1992
                            All Rights Reserved

                            William Ned Miller
                            7504 Saffron Court
                             Hanover MD 21076
                              (410) 766-2365







                             Reference Manual



























Section                                                               Page


1.0 Introduction ....................................................  1
   1.1 Document Layout ..............................................  1

2.0 Hardware Requirements ...........................................  2

3.0 Program Introduction ............................................  3

4.0 Program Options .................................................  4
   4.1 Entering Program Options .....................................  4
      4.1.1 Help ....................................................  5
      4.1.2 Program ID ..............................................  5
      4.1.3 Prompt ..................................................  6
      4.1.4 Terminal ................................................  6
      4.1.5 Fly .....................................................  6
      4.1.6 Lower ...................................................  7
      4.1.7 Upper ...................................................  7
      4.1.8 Condense ................................................  7
      4.1.9 Space ...................................................  7
      4.1.10 One ....................................................  7
      4.1.11 Copies .................................................  7
      4.1.12 Lines ..................................................  7
      4.1.13 Paper ..................................................  7
      4.1.14 Sequence ...............................................  8
      4.1.15 Truncate ...............................................  9
      4.1.16 Pause ..................................................  9
      4.1.17 Window .................................................  9
      4.1.18 X ...................................................... 10
      4.1.19 Confirm ................................................ 10
      4.1.20 Delete ................................................. 10
      4.1.21 List ................................................... 10
      4.1.22 Directory .............................................. 10
      4.1.23 Header/NoHeader ........................................ 11
      4.1.24 Since .................................................. 11
      4.1.25 Before ................................................. 11
      4.1.26 Today .................................................. 11
      4.1.27 Real/NoReal ............................................ 11
      4.1.28 User Comment On Fly Page ............................... 12
      4.1.29 Batch Mode ............................................. 13
      4.1.30 Form Feed .............................................. 13
      4.1.31 Page Number ............................................ 13

5.0 Program Execution ............................................... 14

6.0 NPRINT Messages ................................................. 17
   6.1 Message Listing .............................................. 17





                               - i -
Section                                                               Page


7.0 History Of NPRINT ............................................... 18

8.0 Disclaimer ...................................................... 19

9.0 Licensing ....................................................... 20













































                               - ii -
1.0 Introduction

     This document explains how to use the NPRINT line printer utility.
NPRINT will allow the user to print specified files to the printer connected
to LPT1:.

     NPRINT is written in Meridian Ada.  The program was originally written
in Turbo C but I found it challenging to convert the program to Ada.

1.1 Document Layout

     The remainder of this document is as follows:

     Chapter 2 - Hardware Requirements

     Chapter 3 - Program Introduction

     Chapter 4 - Program Options

     Chapter 5 - Program Execution

     Chapter 6 - NPRINT Messages

     Chapter 7 - History Of NPRINT

     Chapter 8 - Licensing

     Chapter 9 - Disclaimer

























                               - 1 -
2.0 Hardware Requirements

     NPRINT is a line print utility for IBM PCs including XT, AT and PS2
models and other 100% compatible systems.

















































                               - 2 -
3.0 Program Introduction

     With NPRINT, you can print ASCII files to your printer with a wide
variety of options.  NPRINT includes a help option for references to all the
options furnished.  The following is a list of the options available to the
user:

1)  Program Help
2)  Program's Version, Date & Author
3)  Prompt User For Specified Options
4)  Direct Output To Terminal
5)  Include A Fly Page In Output
6)  Print All Output In Upper Case
7)  Print All Output In Lower Case
8)  Print In Condense Mode
9)  Prompt User For Each Page Of Output
10) Include One Blank Line Between Each Output Line
11) Specify The Number Of Copies To Print Of Each File
12) Specify The Number Of Lines Per Page
13) Specify The Paper Size (80 or 132)
14) Sequence Lines
15) Truncate Lines
16) Pause After A Specified Number Of Files Have Been Printed
17) Print 10 Lines Before And After A Specified Line Number
18) Print Between Specified Line Numbers
19) Delete Files After Printing
20) List Files
21) List Files And Include Directories
22) Print Header On Top Line Of Each Output Page
23) Print Files After A Specified Date
24) Print Files Before A Specified Date
25) Print Files Modified Today
26) Include A Comment On The Fly Page
27) Print Files In Batch Mode
28) Real Time Display
29) Output Single Form Feed
30) Start With Specified Page Number
















                               - 3 -
4.0 Program Options

     This chapter explains the numerous options included with NPRINT.
Sections 4.1.1 through 4.1.31 will go into to detail about each one.


4.1 Entering Program Options

     NPRINT has a vast number of options that the user of this utility can
access.  All these option are entered via the command line, which signal
NPRINT of the users desired function.  The options on the command line use
the following syntax:

     NPRINT file /option1 /option2 etc

     The options can be abbreviated down to the first three characters of the
option except for the ones where three do make the option unique.  For
example, to print the NPRINT.ADA file to the terminal with a fly page and
have the lines sequenced at column 50 the following examples shows user
input:

     NPRINT nprint.ada /terminal /fly /sequence=50

     NPRINT nprint.ada /ter /fly /sequence=50

     NPRINT nprint.ada /terminal /fly /seq=50



























                               - 4 -
4.1.1 Help

     The HELP option allows the user to get a snap shot of the options
provided by NPRINT.  This option does not provide the specifics about the
options but is only an aid.  The following shows how the help page will look.

******************************************************************
* Line Print Utility - William Ned Miller V2.3 February 5th 1992 *
* Usage: NPRINT [/Options[=]] [~Comment] [@]File [X:xxx:xxx]     *
******************************************************************

/Help      /ID       /Prompt     /Terminal   /Fly         /Dir      /FF
/Upper     /Lower    /Condense   /One        /Space       /[NO]Real
/Confirm   /Delete   /List       /Today      /[NO]Header  /Screen

/Copies=xxx      => Copies                        (Default is 1)
/Lines=xx        => Lines Per Page                (Default Is 50)
/Paper=xxx       => Paper Size(80 or 132)         (Default Is 80)
/Sequence=xxx    => Sequence Lines                (Default Is 72 - Max 125)
/Truncate=xxx    => Truncate To Specified Column  (Default is 72)
/Pause=xxx       => Pause Between File Listings
/Page=xxx        => Start With Specified Page Number
/Window=xxx      => Print Window Of 10 Lines
/Since=mm-dd-yy  => Print Files After & Including Specified Date
/Before=mm-dd-yy => Print Files Before Specified Date
/X:xxx:xxx       => Print Specified Lines

~Comment         => Comment Entered On Fly Page
@File            => Execute In Batch Mode


4.1.2 Program ID

     Program ID outputs to the users terminal the programs version, version
date and author.  The following is the output displayed when this option is
invoked.


NPRINT -I-  V2.3   February 5th 1992      William Ned Miller














                               - 5 -
4.1.3 Prompt

     This option is for the users that would like to be prompted for the
file to print.  Along with being prompted for the file the user is also
prompted for the case to use and also if a fly page is to be included in the
output.  The following example shows the prompts that the user will see when
this option is chosen.


Please Enter Filename ? _
(L)ower, (U)pper or (N)ormal ? _
Fly Page (Y/N) ? _


4.1.4 Terminal

     The use of this option allows the user to have the output of the file
directed to the terminal.


4.1.5 Fly

     This option allows a fly page to be included with the output of the
file.  The following diagram is an example of a fly page for the NPRINT.ADA
file.


01234567890123456789          DOS Version 5.00        01234567890123456789
01234567890123456789            NPRINT V2.3           01234567890123456789
01234567890123456789 NPRINT.ADA   20:39:20 91/01/19   01234567890123456789

N     N PPPPPP  RRRRRRR IIIIIII N     N TTTTTTT
NN    N P     P R     R    I    NN    N    T
N N   N PPPPPP  R     R    I    N N   N    T
N  N  N P       RRRRRRR    I    N  N  N    T
N   N N P       RRR        I    N   N N    T      ...
N    NN P       R  R       I    N    NN    T      ...
N     N P       R    R  IIIIIII N     N    T      ...

 AAAAA  DDDDDD   AAAAA
A     A D     D A     A
A     A D     D A     A
AAAAAAA D     D AAAAAAA
A     A D     D A     A
A     A D     D A     A
A     A DDDDDD  A     A


01234567890123456789          DOS Version 5.00        01234567890123456789
01234567890123456789            NPRINT V2.3           01234567890123456789
01234567890123456789 NPRINT.ADA   20:39:20 91/01/19   01234567890123456789


                               - 6 -
4.1.6 Lower

     This option will convert all the contents of the file's output to
lower case.


4.1.7 Upper

     This option will convert all the contents of the file's output to upper
case.


4.1.8 Condense

     Under this option, the output will be in condense mode.  If the condense
flag is omitted the utility will convert back to normal mode.


4.1.9 Space

     With this option each line output to the specified device will include
a blank line.  The number of lines specified per page will be cut in half.


4.1.10 One

     This option will prompt the user for each page to be output.  This
particular option is useful when single sheets of paper have to be inserted
in to the printer.  The user will prompted with the following prompt:

        Pausing ... Any Key To Continue - Page Number =  xxx


4.1.11 Copies

     With this option the user can specify the number of copies of a file
that is to be printed.


4.1.12 Lines

     This option will allow the user to specify the number of lines that are
to appear on a single page.  The maximum value that can be set is 66.


4.1.13 Paper

        This option will allow the user to specify the size of paper in the
printer.  This value can be only set to 80 or 132.




                               - 7 -
4.1.14 Sequence

     This option allows line number to be included in the output of the file
being printed.  The following is in an example when the user specifies column
50 as the sequence column.  The sequence column will truncate the line at the
point specified.



STR_.ADA             Saturday  20:55:59  91/01/19                  Page   1
20:45:32  91/01/17   1157 bytes
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
WITH Text_Handler; USE Text_Handler;               0001
                                                   0002
PACKAGE String_Operations IS                       0003
                                                   0004
   FUNCTION  C2I(this  : IN text;                  0005
                 start : INTEGER) RETURN NATURAL;  0006
                                                   0007
   PROCEDURE Special_Char_To_Integer(this : IN tex 0008
                                                   0009
   FUNCTION  First_Space(buffer : IN     STRING) R 0010
                                                   0011
   PROCEDURE To_Upper(buffer : IN OUT STRING;      0012
                      length : IN     NATURAL);    0013
                                                   0014
   PROCEDURE ASCII_To_Integer(Binary_Value         0015
                              Conversion_Number    0016
                              Number_Of_Characters 0017
                              Suppress_Character   0018
                              buffer               0019
                                                   0020
   PROCEDURE ASCII_To_Integer(Binary_Value         0021
                              Conversion_Number    0022
                              Number_Of_Characters 0023
                              Suppress_Character   0024
                              buffer               0025
                                                   0026
   Invalid_Argument : EXCEPTION;                   0027
                                                   0028
END String_Operations;                             0029












                               - 8 -
4.1.15 Truncate

     This option allows truncation of lines at the specified column.  The
following is an example when the user specifies column 50 as the truncation
column.


STR_.ADA           Saturday  20:58:18  91/01/19                    Page   1
20:45:32  91/01/17   1157 bytes
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
WITH Text_Handler; USE Text_Handler;

PACKAGE String_Operations IS

   FUNCTION  C2I(this  : IN text;
                 start : INTEGER) RETURN NATURAL;

   PROCEDURE Special_Char_To_Integer(this : IN tex

   FUNCTION  First_Space(buffer : IN     STRING) R

   PROCEDURE To_Upper(buffer : IN OUT STRING;
                      length : IN     NATURAL);

   PROCEDURE ASCII_To_Integer(Binary_Value
                              Conversion_Number
                              Number_Of_Characters
                              Suppress_Character
                              buffer

   PROCEDURE ASCII_To_Integer(Binary_Value
                              Conversion_Number
                              Number_Of_Characters
                              Suppress_Character
                              buffer

   Invalid_Argument : EXCEPTION;

END String_Operations;


4.1.16 Pause

     Under this option, the user can pause the output of multiple files for
user verification.


4.1.17 Window

     This option allows the user to specify a line number in which 10 lines
before and after the specified line will be listed.


                               - 9 -
4.1.18 X

     This option will allow the user to specify the lines of a file to be
output.


4.1.19 Confirm

     This option will prompt the user for each file that is to be output to
the selected device.  When this option is used, the following prompt will be
displayed for the users response:

        Print - <file>  [Y/N/G/Q] ?

        Y - Yes  - Print Specified File, Prompt For Next File
        N - No   - Do Not Print Specified File, Prompt For Next File
        G - Go   - Print Rest Of The Files, No More Prompts
        Q - Quit - Quit Printing And Exit Program

4.1.20 Delete

     This option will allow the user to delete the specified file after it
has been printed.  When this option is specified, it does not work with the
/LIST option.

4.1.21 List

     This option will allow the user to list specified files to the terminal.
This is good way that the user can determine the files that will be printed
when wildcards are used.  The following example shows the output when NPRINT
*.ADA /LIST is entered:

temp1.ADA       7113   02-22-91  19:59
temp2.ADA       1676   02-16-91  15:48
temp3.ADA       5335   02-18-91  19:11
   File(s) found were   3


4.1.22 Directory

     This option is only valid when used in conjunction with the /LIST
option.  It allows the user to list the directories, when *.* is specified on
the command line.  Directories will be specified by the lack of a file size
and the <D> flag will be inserted at the end of the time field.  The
following show the output:

.                      12-15-90  14:24<D>
..                     12-15-90  14:24<D>
temp1.ada       7113   02-22-91  19:59
temp2.ada       1676   02-16-91  15:48
temp3.ada       5335   02-18-91  19:11
   File(s) found were  5

                               - 10 -
4.1.23 Header/NoHeader

      The /HEADER option will allow the user to have a top line inserted on
the top of each output page.  Specifying /NOHEADER will have this line
omitted from the output.  The default is to print the top line.  The example
shown below shows this:

STR_.ADA      Saturday  20:58:18  91/01/19                         Page   1
20:45:32  91/01/17   1157 bytes
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


4.1.24 Since

     This option will allow the user to print or list all specified files
after and including the specified date.  The following is the format for this
option:

   NPRINT /since=mm-dd-yy


4.1.25 Before

     This option will allow the user to print or list all specified files
before the specified date.  The following is the format for this option:

   NPRINT /before=mm-dd-yy


4.1.26 Today

     This option will allow the user to print or list all specified files
modified on the current day.  This option uses the current system date to
determine todays date.  The following is the format for this option:

   NPRINT /today


4.1.27 Real/NoReal

     This option allows the user to have a real time updatable display about
the files being listed to the printer.  If files are listed to the terminal
this options is not available.  The default is to include the real time
display.  The following is the format for this option:

   NPRINT /noreal

Printing: file1.ada  Line Number=123 Bytes Written=2305 Completed
Printing: file2.ada  Line Number=56 Bytes Written=548 Completed
Printing: file3.ada  Line Number=756 Bytes Written=8456 Completed



                               - 11 -
4.1.28 User Comment On Fly Page

     This option will allow the user to enter a comment on the fly page, if
the /FLY page option was specified.  If the comment is to contain more than
one word then the character '_' should be used to separate them.  The
following illustrates how to specify this option on the command line.  If the
'_' character is used then it will be removed when output to the fly page.

NPRINT /fly ~This_Is_A_Comment nprint.ada

     This following diagram show the output of the fly page when this option
is specified.



01234567890123456789          DOS Version 5.00        01234567890123456789
01234567890123456789            NPRINT V2.3           01234567890123456789
01234567890123456789 NPRINT.ADA   21:14:38 91/01/19   01234567890123456789
                              This Is A Comment




N     N PPPPPP  RRRRRRR IIIIIII N     N TTTTTTT
NN    N P     P R     R    I    NN    N    T
N N   N PPPPPP  R     R    I    N N   N    T
N  N  N P       RRRRRRR    I    N  N  N    T
N   N N P       RRR        I    N   N N    T      ...
N    NN P       R  R       I    N    NN    T      ...
N     N P       R    R  IIIIIII N     N    T      ...

 AAAAA  DDDDDD   AAAAA
A     A D     D A     A
A     A D     D A     A
AAAAAAA D     D AAAAAAA
A     A D     D A     A
A     A D     D A     A
A     A DDDDDD  A     A





01234567890123456789          DOS Version 5.0         01234567890123456789
01234567890123456789            NPRINT V2.3           01234567890123456789
01234567890123456789 NPRINT.ADA   21:14:38 91/01/19   01234567890123456789







                               - 12 -
4.1.29 Batch Mode

     This option allows the user to specify a file that contains a list of
file names to be output.  The contents of the batch file can include
wildcards.  The batch file must be preceded by a '@' and all other options
described in chapter 4 are legal.  The following shows an example using a
batch file:


   NPRINT @p_files /fly


     This example will output the files listed in the file 'p_files' to the
printer with a fly page for each file.


4.1.30 Form Feed

     This option will allow the user to output a single form feed to the
printer.


4.1.31 Page

     This option will allows the output to start on a specified page number.




























                               - 13 -
5.0 Program Execution

     This chapter will illustrate the execution of the NPRINT utility. NPRINT
contains a wide variety of options to meet each users particular needs.  The
execution of NPRINT and all options are entered from the keyboard.  The rest
of this chapter will exemplify the use of NPRINT.

Command                                      Results

NPRINT /help                                 Output to the users terminal
                                             NPRINT's help page

NPRINT /id                                   Output NPRINT's Identification

NPRINT nprint.ada                            Output the file nprint.ada
                                             to the printer

NPRINT nprint.ada /ter                       Output the file nprint.ada
                                             to the terminal

NPRINT nprint.ada /ter /seq=50               Output the file nprint.ada
                                             to the terminal and sequence
                                             the lines at column 50

NPRINT nprint.ada /tru                       Output the file nprint.ada
                                             to the printer and truncate
                                             to the default column


NPRINT nprint.ada /spc                       Output the file nprint.ada
                                             to the printer and put a
                                             space between each line

NPRINT nprint.ada /fly                       Output the file nprint.ada
                                             to the printer and include a
                                             FLY page with the output

NPRINT nprint.ada /one                       Output the file nprint.ada
                                             to the printer and prompt
                                             the user to continue printing

NPRINT nprint.ada /copies=3                  Output 3 three copies of the
                                             file nprint.ada to the printer

NPRINT *.ada /pause=5                        Output all files with the file
                                             type 'ada' and pause every
                                             five files for user response

NPRINT *.ada /confirm /terminal              Prompt the user if the listed
                                             files is to be printed to the
                                             terminal


                               - 14 -
Command                                      Results

NPRINT nprint.ada /lower                     Output the file nprint.ada
                                             to the printer with all
                                             output in lower case

NPRINT nprint.ada /upper                     Output the file nprint.ada
                                             to the printer all
                                             output in upper case

NPRINT /prompt                               Prompt the user for the file
                                             to be output to the printer

NPRINT nprint.ada /condense                  Output the file nprint.ada
                                             to the printer in condense
                                             mode

NPRINT nprint.ada /paper=132                 Output the file nprint.ada
                                             to the printer for paper
                                             size of 132

NPRINT nprint.ada /ter /win=100              Output the lines 90 through
                                             110 of the file nprint.ada
                                             to the terminal

NPRINT nprint.ada /X:6:54                    Output the lines 6 through
                                             54 of the file nprint.ada
                                             to the printer

NPRINT nprint.ada /delete                    Print the file nprint.ada to
                                             the printer and delete the
                                             file after the operation

NPRINT *.ada /list                           All of the Ada files in the
                                             current directory will be
                                             listed to the users terminal

NPRINT *.* /list /dir                        All of the files and
                                             directories will be listed
                                             to the users terminal

NPRINT nprint.ada /noheader                  The file nprint.ada will be
                                             printed to the printer but
                                             no top line will be included
                                             in the output

NPRINT *.ada /since=01-01-91                 All Ada files with a file date
                                             later than or equal to January
                                             1st 1991 will be output to
                                             the printer



                               - 15 -
Command                                      Results

NPRINT *.ada /before=02-01-91 /list          All Ada files with a file date
                                             before February 1st 1991 will
                                             be listed to the users


NPRINT *.ada /today /ter                     All Ada files modified on the
                                             current day will be output
                                             to the user on the terminal



NPRINT nprint.ada /fly ~Comment_Line         Output the file nprint.ada
                                             to the printer with a FLY
                                             page and include the comment
                                             line "Comment Line"

NPRINT @files /fly                           Output all files listed in
                                             file files to the printer
                                             with a fly page

NPRINT /ff                                   Output a single form feed
                                             to the printer

NPRINT nprint.ada /page=3                    Output the file nprint.ada
                                             to the printer and start
                                             the page number at 3

























                               - 16 -
6.0 NPRINT Messages

     This chapter describes the messages that can be produced by the NPRINT
program.  There are three types of messages that can be produced by NPRINT.
The three types are Information, Warning and Fatal.  Information messages are
of the type that convey general type of information,  Warning messages
indicate that some is not quiet right but will not abort the program.  Fatal
messages are of the type that will abort the program at the point that the
error is encountered.  The following depicts the format for these types of
messages:

     1) NPRINT -I-            -> Informational
     2) NPRINT -W-            -> Warning
     3) NPRINT -F-            -> Fatal         (Stops Program Execution)


6.1 Message Listing


NPRINT -I- V2.3  February 5th 1992     William Ned Miller

NPRINT -W- '<Filename>' Not Found
NPRINT -W- Unable to open File: <Filename>

NPRINT -F- Illegal Argument
NPRINT -F- Unrecognized Option:
NPRINT -F- Invalid Time Parameter
NPRINT -F- Invalid Syntax For Time
NPRINT -F- Unable To Open BATCH file: <Filename>
NPRINT -F- Program Has Been Corrupted
NPRINT -F- Unknown Error
NPRINT -F- Printer Off Line OR Turned Off
NPRINT -F- Printer Is Out Of Paper




















                               - 17 -
7.0 History Of NPRINT


Revision  Date      Comments

 1.0      12/15/90  Initial Release.

 2.0      04/15/91  This version includes a few more options.

                    /SINCE
                    /BEFORE
                    /TODAY
                    /LIST
                      /DIR
                    /DELETE
                    /CONFIRM
                    /[NO]HEADER
                    /[NO]Real

                    A number of bugs were fixed.

2.1                 Increase the length of a line read up to 254 characters.

                    Check printer status before any output is directed
                    towards printer.

                    Fixed Output Of DOS Version On FLY Page

                    Account For CR and LF in files for Real-Time Updates

2.2      15/10/91   Bug Fixes

2.3      05/02/92  This version includes a few more options.

                    /FF
                    /Page

















                               - 18 -
8.0 Disclaimer

                          NPRINT (tm) Version 2.3
                          Copyright (c) 1990-1992
                            All Rights Reserved

                            William Ned Miller
                            7504 Saffron Court
                             Hanover MD 21076
                              (410) 766-2365


     The author disclaims all warranties expressed or implied as to the
quality or performance of this program.  The author will not be held liable
for any lost profits, lost savings or any other direct, indirect, incidental
or consequential damages resulting from the use of this program. Your use of
this program constitutes your agreement to this disclaimer and your  release
of the author from any form of liability or litigation.



































                               - 19 -
9.0 Licensing

                          NPRINT (tm) Version 2.3
                          Copyright (c) 1990-1992
                            All Rights Reserved

                            William Ned Miller
                            7504 Saffron Court
                             Hanover MD 21076
                              (410) 766-2365


     *  A $5 shareware contribution is requested for using the program.
     *  The author retains the sole right to sell the program.
     *  The author grants users the right to copy and distribute
        the program within the following constraints:
        - All program files remain unaltered and are distributed
          together.
        - No attempt is made to sell the program, or to make
          money from it or any modified version of it.
        - The program is not bundled with any other hardware or
          software transactions without the author's permission.
     *  Continued use of the program (more than 3 weeks) by any
        individual, corporation or institution without a single
        user or site license is prohibited.
     *  Single user licenses are obtained by sending in the $5
        shareware contribution.
     *  Corporations and other institutions (including  government
        and educational) which desire using the program should
        refer to the last page of this document for site licensing
        information.






















                               - 20 -
                          NPRINT (tm) Version 2.3
                          Copyright (c) 1990-1992
                            All Rights Reserved

                            William Ned Miller
                            7504 Saffron Court
                             Hanover MD 21076
                              (410) 766-2365


  Single User Registration Form

  To register your copy of NPRINT please fill in the following
  information and send it along with $5 (US) to:

  William Ned Miller                     { Please only send }
  7504 Saffron Court                     { checks drawn on  }
  Hanover MD 20176                       { U.S. banks or    }
                                         { postal money     }
                                         { orders.          }

  Name: ____________________________________________________________


  Address: _________________________________________________________

  __________________________________________________________________


  System Type:       8088/8086______            80x86_______________

  Disk Type:         5.25___________            3.50________________


  Phone: (Optional) (     )______-__________________________________



















                          NPRINT (tm) Version 2.3
                          Copyright (c) 1990-1992
                            All Rights Reserved

                            William Ned Miller
                            7504 Saffron Court
                             Hanover MD 21076
                              (410) 766-2365


  Site License Agreement Order Form

  Max # Users          Purchase Price    Cost/Workstation
    1 -   20 ........... $100.00             $5.00
   21 -   40 ........... $180.00             $4.50
   41 -   60 ........... $240.00             $4.00
   61 -   80 ........... $280.00             $3.50
   81 -  100 ........... $300.00             $3.00

  Make check payable to:  {All prices in U.S. dollars}

    William Ned Miller
    7504 Saffron Court
    Hanover MD 21076


  Site License Provides

  1. Legal right to use NPRINT on the specified number of workstations.
  2. Two (2) floppies containing the next release of the program.
     All additional copies of the program, up to the limit ordered,
     will be made by the purchaser.


  Ordering Information

  Site License desired for a maximum of ______  workstations.

  To be sent to: ____________________________________________ Please
                                                              Print
  ___________________________________________________________ or Type
                                                              Legibly
  ___________________________________________________________

 Point of Contact: __________________________________________

 System Type:   8088/8086 _____            80x86_____________

 Disk Type:     5.25___________            3.50______________

 Phone: (____)_______-__________________
